Disabling backward compatibility for the Map Manager role (Advanced) - Security Center 5.9

Security Center Hardening Guide 5.9

series
Security Center 5.9
revised_modified
2020-11-30

For enhanced security, disable backward compatibility for the Map Manager role after upgrading all client applications from Security Center 5.8 and earlier.

What you should know

Starting with Security Center 5.9, Map Manager requires all clients that request image maps to pass authentication. To ensure legacy clients can view image maps after upgrading the server, Map Manager roles upgraded from 5.8 and earlier run in backward compatibility mode by default.

When in backward compatibility mode, Map Manager grants access to image maps without authentication. This mode is intended to temporarily maintain map functionality during a staged upgrade where some clients remain at an older version for a limited time.

Best Practice: Disable backward compatibility for the Map Manager role after all client applications have been upgraded.

Procedure

  1. From the Config Tool home page, open the System task, and click the Roles view.
  2. Select the Map Manager role, and click the Properties tab.
  3. Switch Backward compatibility OFF.
  4. Click Apply.

Results

Backward compatibility for the Map Manager role is disabled. Client applications that do not authenticate are unable to view image maps.